<?php

namespace Drupal\azure_blob_fs\Service;

/**
 * Provides an interface for the Azure Blob File System main service.
 */
interface AzureBlobFsServiceInterface {

  /**
   * Validates that the public file system is enabled and configured.
   *
   * @return bool
   *   Returns TRUE if the public file system is enabled and configured.
   */
  public static function wired(): bool;

  /**
   * Validates that the private file system is enabled and configured.
   *
   * @return bool
   *   Returns TRUE if the private file system is enabled and configured.
   */
  public static function privatelyWired(): bool;

}
